﻿CompilerSelect #PB_Compiler_OS
  CompilerCase #PB_OS_Windows
    #Slash = "\"
  CompilerCase #PB_OS_MacOS
    #Slash = "/"
  CompilerCase #PB_OS_Linux
    #Slash = "/"
CompilerEndSelect

Procedure.s GetProgramDataDirectory()
  CompilerSelect #PB_Compiler_OS
    CompilerCase #PB_OS_Windows
      ProcedureReturn GetEnvironmentVariable("APPDATA") + "\"
    CompilerCase #PB_OS_MacOS
      ProcedureReturn GetHomeDirectory() + "Library/Application Support/"
    CompilerCase #PB_OS_Linux
      ProcedureReturn GetHomeDirectory() +"."
  CompilerEndSelect
EndProcedure


CompilerSelect #PB_Compiler_OS
  CompilerCase #PB_OS_Windows
    #Path_Slash$ = "\"
  CompilerDefault
    #Path_Slash$ = "/"
CompilerEndSelect

Procedure.i CreatePath(Path$)
  
  Protected CountOfDirectories, i
  Protected TempPath$
  
  Path$ = Trim(Path$, #Path_Slash$)
  
  CountOfDirectories = CountString(Path$, #Path_Slash$) + 1
  For i = 1 To CountOfDirectories
    CompilerIf #PB_Compiler_OS = #PB_OS_Windows
      If i = 1
        TempPath$ = StringField(Path$, i, #Path_Slash$)
        Continue
      EndIf
    CompilerEndIf
    TempPath$ + #Path_Slash$ + StringField(Path$, i, #Path_Slash$)
    If FileSize(TempPath$) <> -2 And Not CreateDirectory(TempPath$)
      ProcedureReturn #False
    EndIf
  Next
  
  ProcedureReturn #True
EndProcedure
; IDE Options = PureBasic 5.51 (Windows - x86)
; CursorPosition = 20
; FirstLine = 2
; Folding = -
; EnableXP